## net.sf.saxon.expr
Interface ItemMappingFunction

All Known Implementing Classes:
  NumberFn

    public interface ItemMappingFunction

ItemMappingFunction is an interface that must be satisfied by an object passed to a ItemMappingIterator. It represents an object which, given an Item, can return either another Item, or null.

Method Summary
`Item` `map(Item item)` Map one item to another item.

Method Detail

### map

    Item map(Item item)
             throws XPathException

  Map one item to another item.

  Parameters:
    `item` - The input item to be mapped.
  Returns:
    either the output item, or null.
  Throws:
    `XPathException`

Copyright (C) Michael H. Kay. All rights reserved.